curl --request POST \
--url https://api.scite.ai/api_partner/assistant/poll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"turns": [
{
"role": "<string>",
"content": "<string>",
"sections": [
"<string>"
],
"structuredResponse": [
"<unknown>"
],
"references": [
{
"answer": "<string>",
"texts": [
"<string>"
],
"context": "<string>",
"title": "<string>",
"doi": "<string>",
"link": "<string>",
"paper": {
"id": "<string>",
"doi": "<string>",
"title": "<string>",
"slug": "<string>",
"authors": [
{
"authorName": "<string>",
"authorSlug": "<string>",
"authorSequenceNumber": "<string>",
"affiliation": "<string>",
"affiliationSlug": "<string>"
}
],
"journal": "<string>",
"shortJournal": "<string>",
"publisher": "<string>",
"memberId": 123,
"abstract": "<string>",
"year": 123,
"date": "<string>",
"lastUpdate": 123,
"volume": "<string>",
"issue": "<string>",
"page": "<string>",
"tally": {
"citingPublications": 436,
"contradicting": 6,
"doi": "10.1016/j.biopsych.2005.08.012",
"mentioning": 308,
"supporting": 27,
"total": 347,
"unclassified": 6
},
"issns": [
"<string>"
],
"editorialNotices": [
{
"doi": "<string>",
"status": "<string>",
"date": "<string>",
"noticeDoi": "<string>",
"urls": [
"<string>"
]
}
],
"normalizedTypes": [
"<string>"
],
"isOa": false,
"oaStatus": "closed",
"meshTypes": [
{
"descriptorId": "<string>",
"descriptorName": "<string>",
"qualifierId": "<string>",
"qualifierName": "<string>"
}
],
"relevancyScore": 123,
"citations": [
{
"source": "<string>",
"target": "<string>",
"snippet": "<string>",
"id": 123,
"negative": 123,
"positive": 123,
"neutral": 123,
"section": "<string>",
"expertClassification": "<string>",
"type": "<string>",
"typeConfidence": 123,
"lang": "<string>",
"langConfidence": 123,
"refLocation": "<string>",
"memberId": 123,
"selfCites": [
{
"type": "<string>",
"family": "<string>",
"given": "<string>"
}
],
"snippetHidden": false
}
],
"fulltextExcerpts": [
"<string>"
],
"highlightedFields": [
"<string>"
]
},
"textSources": [
"<string>"
],
"type": "academic_paper",
"patent": {},
"refCheckId": "<string>",
"included": true,
"reason": "<string>"
}
],
"feedback": {
"reason": "<string>"
},
"searchStrategy": [
"<string>"
],
"warning": "<string>",
"model": "<string>",
"settings": {},
"publicationsConsulted": [
{}
],
"columns": [
{
"name": "<string>",
"slug": "<string>",
"instructions": "<string>",
"type": "response",
"order": 0
}
]
}
],
"userInput": "<string>",
"alwaysUseReferences": false,
"neverUseReferences": false,
"abstractsOnly": false,
"fullTextsOnly": false,
"numReferences": 25,
"rankBy": "all",
"answerLength": "medium",
"model": "<string>",
"citationStyle": "apa",
"yearFrom": "<string>",
"yearTo": "<string>",
"topics": [
"<string>"
],
"journals": [
"<string>"
],
"citationSections": [
"<string>"
],
"publicationTypes": [
"<string>"
],
"dashboards": [
123
],
"referenceChecks": [
"<string>"
],
"dois": [
"<string>"
],
"useStructuredResponse": false,
"usePatentMode": false,
"useMixedPatentMode": false,
"sessionId": 123,
"searches": [
"<string>"
],
"openAccessOnly": false,
"reprocessTurnIdx": 123,
"columnSlug": "<string>",
"anonId": "<string>",
"recaptchaToken": "<string>",
"country": "<string>",
"saveSession": true
}
'import requests
url = "https://api.scite.ai/api_partner/assistant/poll"
payload = {
"turns": [
{
"role": "<string>",
"content": "<string>",
"sections": ["<string>"],
"structuredResponse": ["<unknown>"],
"references": [
{
"answer": "<string>",
"texts": ["<string>"],
"context": "<string>",
"title": "<string>",
"doi": "<string>",
"link": "<string>",
"paper": {
"id": "<string>",
"doi": "<string>",
"title": "<string>",
"slug": "<string>",
"authors": [
{
"authorName": "<string>",
"authorSlug": "<string>",
"authorSequenceNumber": "<string>",
"affiliation": "<string>",
"affiliationSlug": "<string>"
}
],
"journal": "<string>",
"shortJournal": "<string>",
"publisher": "<string>",
"memberId": 123,
"abstract": "<string>",
"year": 123,
"date": "<string>",
"lastUpdate": 123,
"volume": "<string>",
"issue": "<string>",
"page": "<string>",
"tally": {
"citingPublications": 436,
"contradicting": 6,
"doi": "10.1016/j.biopsych.2005.08.012",
"mentioning": 308,
"supporting": 27,
"total": 347,
"unclassified": 6
},
"issns": ["<string>"],
"editorialNotices": [
{
"doi": "<string>",
"status": "<string>",
"date": "<string>",
"noticeDoi": "<string>",
"urls": ["<string>"]
}
],
"normalizedTypes": ["<string>"],
"isOa": False,
"oaStatus": "closed",
"meshTypes": [
{
"descriptorId": "<string>",
"descriptorName": "<string>",
"qualifierId": "<string>",
"qualifierName": "<string>"
}
],
"relevancyScore": 123,
"citations": [
{
"source": "<string>",
"target": "<string>",
"snippet": "<string>",
"id": 123,
"negative": 123,
"positive": 123,
"neutral": 123,
"section": "<string>",
"expertClassification": "<string>",
"type": "<string>",
"typeConfidence": 123,
"lang": "<string>",
"langConfidence": 123,
"refLocation": "<string>",
"memberId": 123,
"selfCites": [
{
"type": "<string>",
"family": "<string>",
"given": "<string>"
}
],
"snippetHidden": False
}
],
"fulltextExcerpts": ["<string>"],
"highlightedFields": ["<string>"]
},
"textSources": ["<string>"],
"type": "academic_paper",
"patent": {},
"refCheckId": "<string>",
"included": True,
"reason": "<string>"
}
],
"feedback": { "reason": "<string>" },
"searchStrategy": ["<string>"],
"warning": "<string>",
"model": "<string>",
"settings": {},
"publicationsConsulted": [{}],
"columns": [
{
"name": "<string>",
"slug": "<string>",
"instructions": "<string>",
"type": "response",
"order": 0
}
]
}
],
"userInput": "<string>",
"alwaysUseReferences": False,
"neverUseReferences": False,
"abstractsOnly": False,
"fullTextsOnly": False,
"numReferences": 25,
"rankBy": "all",
"answerLength": "medium",
"model": "<string>",
"citationStyle": "apa",
"yearFrom": "<string>",
"yearTo": "<string>",
"topics": ["<string>"],
"journals": ["<string>"],
"citationSections": ["<string>"],
"publicationTypes": ["<string>"],
"dashboards": [123],
"referenceChecks": ["<string>"],
"dois": ["<string>"],
"useStructuredResponse": False,
"usePatentMode": False,
"useMixedPatentMode": False,
"sessionId": 123,
"searches": ["<string>"],
"openAccessOnly": False,
"reprocessTurnIdx": 123,
"columnSlug": "<string>",
"anonId": "<string>",
"recaptchaToken": "<string>",
"country": "<string>",
"saveSession": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
turns: [
{
role: '<string>',
content: '<string>',
sections: ['<string>'],
structuredResponse: ['<unknown>'],
references: [
{
answer: '<string>',
texts: ['<string>'],
context: '<string>',
title: '<string>',
doi: '<string>',
link: '<string>',
paper: {
id: '<string>',
doi: '<string>',
title: '<string>',
slug: '<string>',
authors: [
{
authorName: '<string>',
authorSlug: '<string>',
authorSequenceNumber: '<string>',
affiliation: '<string>',
affiliationSlug: '<string>'
}
],
journal: '<string>',
shortJournal: '<string>',
publisher: '<string>',
memberId: 123,
abstract: '<string>',
year: 123,
date: '<string>',
lastUpdate: 123,
volume: '<string>',
issue: '<string>',
page: '<string>',
tally: {
citingPublications: 436,
contradicting: 6,
doi: '10.1016/j.biopsych.2005.08.012',
mentioning: 308,
supporting: 27,
total: 347,
unclassified: 6
},
issns: ['<string>'],
editorialNotices: [
{
doi: '<string>',
status: '<string>',
date: '<string>',
noticeDoi: '<string>',
urls: ['<string>']
}
],
normalizedTypes: ['<string>'],
isOa: false,
oaStatus: 'closed',
meshTypes: [
{
descriptorId: '<string>',
descriptorName: '<string>',
qualifierId: '<string>',
qualifierName: '<string>'
}
],
relevancyScore: 123,
citations: [
{
source: '<string>',
target: '<string>',
snippet: '<string>',
id: 123,
negative: 123,
positive: 123,
neutral: 123,
section: '<string>',
expertClassification: '<string>',
type: '<string>',
typeConfidence: 123,
lang: '<string>',
langConfidence: 123,
refLocation: '<string>',
memberId: 123,
selfCites: [{type: '<string>', family: '<string>', given: '<string>'}],
snippetHidden: false
}
],
fulltextExcerpts: ['<string>'],
highlightedFields: ['<string>']
},
textSources: ['<string>'],
type: 'academic_paper',
patent: {},
refCheckId: '<string>',
included: true,
reason: '<string>'
}
],
feedback: {reason: '<string>'},
searchStrategy: ['<string>'],
warning: '<string>',
model: '<string>',
settings: {},
publicationsConsulted: [{}],
columns: [
{
name: '<string>',
slug: '<string>',
instructions: '<string>',
type: 'response',
order: 0
}
]
}
],
userInput: '<string>',
alwaysUseReferences: false,
neverUseReferences: false,
abstractsOnly: false,
fullTextsOnly: false,
numReferences: 25,
rankBy: 'all',
answerLength: 'medium',
model: '<string>',
citationStyle: 'apa',
yearFrom: '<string>',
yearTo: '<string>',
topics: ['<string>'],
journals: ['<string>'],
citationSections: ['<string>'],
publicationTypes: ['<string>'],
dashboards: [123],
referenceChecks: ['<string>'],
dois: ['<string>'],
useStructuredResponse: false,
usePatentMode: false,
useMixedPatentMode: false,
sessionId: 123,
searches: ['<string>'],
openAccessOnly: false,
reprocessTurnIdx: 123,
columnSlug: '<string>',
anonId: '<string>',
recaptchaToken: '<string>',
country: '<string>',
saveSession: true
})
};
fetch('https://api.scite.ai/api_partner/assistant/poll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"info": {
"step": "<string>",
"stepNumber": 123,
"response": "<string>",
"structuredResponse": [
"<unknown>"
],
"searches": [
"<string>"
],
"publicationsUsed": [
"<string>"
],
"publicationsConsulting": [
"<string>"
],
"currentSearch": "<string>",
"dois": [
"<string>"
],
"factChecks": {
"used": [
"<unknown>"
],
"rejected": [
"<unknown>"
]
}
},
"status": "<string>",
"result": {
"slug": "<string>",
"title": "<string>",
"sessionId": 123,
"turns": [
{
"role": "<string>",
"content": "<string>",
"sections": [
"<string>"
],
"structuredResponse": [
"<unknown>"
],
"references": [
{
"answer": "<string>",
"texts": [
"<string>"
],
"context": "<string>",
"title": "<string>",
"doi": "<string>",
"link": "<string>",
"paper": {
"id": "<string>",
"doi": "<string>",
"title": "<string>",
"slug": "<string>",
"authors": [
{
"authorName": "<string>",
"authorSlug": "<string>",
"authorSequenceNumber": "<string>",
"affiliation": "<string>",
"affiliationSlug": "<string>"
}
],
"journal": "<string>",
"shortJournal": "<string>",
"publisher": "<string>",
"memberId": 123,
"abstract": "<string>",
"year": 123,
"date": "<string>",
"lastUpdate": 123,
"volume": "<string>",
"issue": "<string>",
"page": "<string>",
"tally": {
"citingPublications": 436,
"contradicting": 6,
"doi": "10.1016/j.biopsych.2005.08.012",
"mentioning": 308,
"supporting": 27,
"total": 347,
"unclassified": 6
},
"issns": [
"<string>"
],
"editorialNotices": [
{
"doi": "<string>",
"status": "<string>",
"date": "<string>",
"noticeDoi": "<string>",
"urls": [
"<string>"
]
}
],
"normalizedTypes": [
"<string>"
],
"isOa": false,
"oaStatus": "closed",
"meshTypes": [
{
"descriptorId": "<string>",
"descriptorName": "<string>",
"qualifierId": "<string>",
"qualifierName": "<string>"
}
],
"relevancyScore": 123,
"citations": [
{
"source": "<string>",
"target": "<string>",
"snippet": "<string>",
"id": 123,
"negative": 123,
"positive": 123,
"neutral": 123,
"section": "<string>",
"expertClassification": "<string>",
"type": "<string>",
"typeConfidence": 123,
"lang": "<string>",
"langConfidence": 123,
"refLocation": "<string>",
"memberId": 123,
"selfCites": [
{
"type": "<string>",
"family": "<string>",
"given": "<string>"
}
],
"snippetHidden": false
}
],
"fulltextExcerpts": [
"<string>"
],
"highlightedFields": [
"<string>"
]
},
"textSources": [
"<string>"
],
"type": "academic_paper",
"patent": {},
"refCheckId": "<string>",
"included": true,
"reason": "<string>"
}
],
"feedback": {
"reason": "<string>"
},
"searchStrategy": [
"<string>"
],
"warning": "<string>",
"model": "<string>",
"settings": {},
"publicationsConsulted": [
{}
],
"columns": [
{
"name": "<string>",
"slug": "<string>",
"instructions": "<string>",
"type": "response",
"order": 0
}
]
}
],
"turnsTotal": 123,
"turnsOffset": 123,
"lastUpdated": "2023-12-25",
"shareToken": "<string>",
"createdAt": "2023-12-25",
"hasUploadedReferences": false
},
"error": "<string>",
"usage": {
"used": 123,
"max": 123
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Start an Assistant query
Submit a question to the Scite Assistant. Returns a task ID that you poll via GET /api_partner/assistant/tasks/{task_id}.
Required Fields
turns — Conversation History
The conversation history as a list of turn objects. Each turn has a role ("user" or "assistant") and content. For a new conversation, provide a single user turn:
{
"turns": [{"role": "user", "content": "How does protein structure affect function?"}]
}
For multi-turn conversations, include the full history. Assistant turns should include references, searchStrategy, model, settings, and publicationsConsulted from previous responses.
userInput — Current Question
The current user question (should match the last user turn’s content). Used independently for search strategy generation and tool selection.
Reference Behavior Control
| Field | Type | Default | Description |
|---|---|---|---|
alwaysUseReferences | bool | false | Force reference retrieval even for non-scientific questions |
neverUseReferences | bool | false | Skip reference retrieval entirely (takes precedence over alwaysUseReferences) |
numReferences | int | 25 | Maximum reference passages to include in LLM context |
referenceChecks | list[str] | [] | Celery task IDs from uploaded documents (reference check feature) |
searches | list[str] | [] | Pre-defined search queries (skips auto-generation) |
Search Filtering
| Field | Type | Default | Description |
|---|---|---|---|
yearFrom / yearTo | str or null | null | Filter by date range (4-digit year or ISO date) |
topics | list[str] | [] | Filter by research topics |
citationSections | list[str] | [] | Filter citations by paper section: results, discussion, conclusion, methods, introduction |
publicationTypes | list[str] | [] | Filter by type: review, systematic review, meta-analysis, practice guideline, journal-article, etc. |
journals | list[str] | [] | Filter to specific journal names |
openAccessOnly | bool | false | Only return open access publications |
abstractsOnly | bool | false | Only use paper abstracts (excludes citation statements) |
fullTextsOnly | bool | false | Only use citation statements (excludes abstracts) |
Paper Selection
| Field | Type | Default | Description |
|---|---|---|---|
dois | list[str] | [] | Specific DOIs to scope the search to. DOIs in userInput are auto-extracted and merged. |
dashboards | list[int] | [] | Collection (dashboard) IDs to pull DOIs from. Requires authenticated user with access. |
Result Ranking — rankBy
Controls how retrieved results are ranked before being passed to the LLM. Default: "all".
| Value | Ranking Strategy |
|---|---|
all | Balanced: relevance + total citations + Scite index + date + supporting + contrasting |
relevance | Semantic relevance only |
date | Recency + relevance |
citations | Total citation count + relevance |
supporting-citations | Supporting citation count + relevance |
contrasting-citations | Contrasting citation count + relevance |
journal-rank | Scite journal index + relevance |
Response Configuration
| Field | Type | Default | Description |
|---|---|---|---|
answerLength | str | "short" | "short" (~100-200 words), "medium" (comprehensive), or "long" (exhaustive) |
model | str or null | gpt-5-nano-2025-08-07 | LLM model for response generation (see below) |
reasoningEffort | str or null | null | "minimal", "low", "medium", or "high" — only for reasoning models |
Available Models
| Model ID | Provider | Notes |
|---|---|---|
claude-sonnet-4-6 | Anthropic | 200K context, 64K max output |
claude-opus-4-6 | Anthropic | 200K context, 128K max output |
claude-sonnet-4-5-20250929 | Anthropic | 200K context, 64K max output |
claude-opus-4-5-20251101 | Anthropic | 200K context, 64K max output |
claude-haiku-4-5-20251001 | Anthropic | 200K context, 64K max output |
gpt-5-nano-2025-08-07 | OpenAI | Default. 400K context. Reasoning model |
gpt-5-mini-2025-08-07 | OpenAI | 400K context. Reasoning model |
gpt-5.2-2025-12-11 | OpenAI | 400K context. Reasoning model. Supports reasoningEffort |
If one provider fails, the system automatically falls back to the other. Unsupported or retired model strings automatically fall back to the default (gpt-5-nano-2025-08-07).
Structured Response Mode
| Field | Type | Default | Description |
|---|---|---|---|
useStructuredResponse | bool | false | Return per-reference structured data instead of prose |
jsonResponseType | str or null | null | null (full detail), "concise", or "boolean" (yes/no screening) |
reprocessTurnIdx | int or null | null | Index of an existing turn to reprocess |
columnSlug | str or null | null | Slug of a specific column to reprocess |
Patent Modes
| Field | Type | Default | Description |
|---|---|---|---|
usePatentMode | bool | false | Search patents only (no academic papers) |
useMixedPatentMode | bool | false | Search both patents and academic papers |
Session Management
| Field | Type | Default | Description |
|---|---|---|---|
sessionId | int or null | null | Existing session ID to continue a conversation |
Response
Returns {"id": "<task_id>"}. If the user is rate-limited, also includes "usage": {"used": N, "max": M}.
Examples
Basic single question:
{
"turns": [{"role": "user", "content": "What is the effect of exercise on depression?"}],
"userInput": "What is the effect of exercise on depression?"
}
DOI-scoped question:
{
"turns": [{"role": "user", "content": "Summarize the key findings"}],
"userInput": "Summarize the key findings",
"dois": ["10.1002/cepa.3344", "10.1002/hsr2.70931"]
}
Filtered search:
{
"turns": [{"role": "user", "content": "What do systematic reviews say about mindfulness for anxiety?"}],
"userInput": "What do systematic reviews say about mindfulness for anxiety?",
"publicationTypes": ["systematic review", "meta-analysis"],
"yearFrom": "2020",
"rankBy": "supporting-citations",
"answerLength": "long"
}
Structured response (table mode):
{
"turns": [{"role": "user", "content": "Does each paper support the hypothesis that X causes Y?"}],
"userInput": "Does each paper support the hypothesis that X causes Y?",
"useStructuredResponse": true,
"jsonResponseType": "boolean",
"dois": ["10.1234/a", "10.1234/b", "10.1234/c"]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Set to Bearer <token> to pass token for authorization.
Body
Show child attributes
Show child attributes
0 <= x <= 1000all, relevance, date, citations, supporting-citations, contrasting-citations, journal-rank short, medium, long minimal, low, medium, high apa, ieee, mla, ama, chicago, harvard, vancouver, bibtex concise, boolean 